Annonce

Lorsque vous exposez un problème que vous rencontrez sur votre site, n’omettez pas de bien préciser l’adresse de la page (URL) concernée.

Ouvrez un nouveau sujet de discussion pour poser une question, n'utilisez pas une discussion déjà ouverte si votre problème est différent.
Lorsque votre sujet est résolu, indiquez-le en cliquant sur le lien "Passer le sujet en résolu".

Pour les possesseurs de sites Minecraft : Tous les ports TCP/UDP en sortie sont ouverts.
Pour en savoir plus : https://www.franceserv.fr/wiki/minecraft

#1 28/10/2015 13:07:45

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 637
Site Web

[Amélioration] Changement de branche PHP des services internes

Bonjour,

La branche de PHP 5.4 n'est plus maintenue par ses développeurs depuis le 4 septembre 2015 comme annoncé par l'équipe PHP : http://php.net/archive/2015.php#id2015-09-04-4

Il n'est alors plus recommandé d'utiliser la branche de PHP 5.4 au risque que de nouvelles failles de sécurité soit découvertes par des pirates et qu'elles soient utilisées.

De ce fait, je viens de changer la branche PHP des différents services propres à la plateforme de FranceServ Hébergement. PhpMyAdmin, le WebMAIL ainsi que d'autres sites internes sont alors passés de la branche PHP 5.4 à la dernière version de PHP 5.6.

Bien entendu, les branches PHP des sites des hébergés n'ont pas été modifiés mais j'invite fortement les hébergés le faire.

Il faut privilégier la branche PHP 5.5 ou encore mieux la branche PHP 5.6 si la solution Web que vous utilisée est compatible.

Voici un rappel des différentes branches PHP :

lwfdKnsjQ.png
source : http://php.net/supported-versions.php (au 28/10/2015)

La branche de PHP 7.0 devrai sortir également prochainement.


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#2 28/10/2015 17:10:19

inconnu
(Compte supprimé)
Inscription : 29/12/2010
Messages : 0

Re : [Amélioration] Changement de branche PHP des services internes

Branche PHP 5.7 Non ? smile


Ce commentaire provient d'un utilisateur du forum qui a supprimé son compte après avoir envoyé cette contribution. La suppression d'un compte client n'entraine pas la suppression de ses contributions dans le forum ou dans le wiki, son nom de participant est alors modifié en "inconnu" avec comme titre "(Compte supprimé)".

Hors ligne

#3 28/10/2015 17:32:05

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 637
Site Web

Re : [Amélioration] Changement de branche PHP des services internes

anzingames a écrit :

Branche PHP 5.7 Non ? smile

Et non smile

Nous étions sur la branche 5.x après avoir été sur la branche 4.x, par contre la branche qui aurai dû être la 6.x a été abandonnée par ses développeurs. C'est pour cette raison que nous sautons directement à la branche 7.0 qui sera très certainement déclinée en sous branche comme on a connu jusqu'à maintenant.

Pour en savoir plus :

En juillet 2014, les contributeurs du projet PHP se sont prononcés sur un passage direct de PHP 5.x à PHP 7.x (voir le wiki du projet). En fait, PHP 6 a bien existé, mais il est resté à l'état de chantier. Cette version devait conduire à l'intégration de l'Unicode au langage (en vue de faciliter la manipulation de texte dans différentes langues). Mais face aux trop nombreuses difficultés techniques, l'initiative a été abandonnée. Les autres évolutions envisagées dans PHP 6 ont depuis été réintégrées à de nouvelles versions intermédiaires (PHP 5.3 et 5.4). C'est pour éviter la confusion qu'est née alors cette idée de passer directement à la version 7.

Enfin pour les partisans de PHP 7, le chiffre 6 a aussi trop souvent été associé à la notion d'échec dans le monde des environnements de développement web : "PHP 6 a été un échec ; Perl 6 a été un échec. Il est en fait associé à l'échec, même en dehors du monde des langages dynamiques : MySQL 6 existait, mais n'a jamais été publié."

source : http://www.journaldunet.com/developpeur/php/php-7.shtml


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#4 29/10/2015 10:34:06

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 637
Site Web

Re : [Amélioration] Changement de branche PHP des services internes

elodie a écrit :

[...] le WebMAIL ainsi que d'autres sites internes sont alors passés de la branche PHP 5.4 à la dernière version de PHP [...]

Suite à cette modification et au passage du Webmail en PHP 5.6, il n'était plus possible de se connecter à celui-ci depuis hier soir.

Depuis, le problème a été identité et corrigé.

Techniquement et pour expliquer la situation qu'il y a eu :

Le Webmail effectue ses échanges avec le serveur Mail de façons sécurisées en TLS, sauf que la branche de PHP 5.6 apporte des changements sur la couche OpenSSL. Il m'a fallut préciser explicitement (du moins pour le Webmail RoundCube), la version du protocole utilisé, à savoir ici la dernière version de TLS soit "tlsv1.2://" au lieu de "tls://".

A savoir que la prochaine version 1.3 de TLS est encore en état de développement.


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#5 30/10/2015 18:32:25

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 637
Site Web

Re : [Amélioration] Changement de branche PHP des services internes

La page web d'administration des zones DNS était également non fonctionnelle depuis le passage de PHP 5.4 à PHP 5.6. J'ai dû corriger et adapter son développement qui avait été fait pour du PHP 4 ... le problème est maintenant corrigé smile


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

Pied de page des forums

[ Générées en 0.031 secondes, 12 requêtes exécutées - Utilisation de la mémoire : 1.46 Mio (pic d'utilisation : 1.55 Mio) ]